/**
 * This is a test class to demonstrate how an email can be sent using the Newsletter2Go API and some other classes.
 * uses: Post_Request.java, SendEmail.java, ApiResult.java, MissingParamException.java, Google Gson Lib
 * @author Newsletter2Go-Dev-Team. Questions? => dev@newsletter2go.de
 */
public class Main {

	public static void main(String[] args) {
		
		
		
		SendEmail s = new SendEmail("your_api_key");
		
		String html ="<html><body>Test</body></html>";

		String text ="Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua.";
		
		//required params:
		s.addParam(SendEmail.params.TO, "support@newsletter2go.de");
		s.addParam(SendEmail.params.FROM, "support@newsletter2go.de");
		s.addParam(SendEmail.params.SUBJECT, "I Don't Like Mondays");
		s.addParam(SendEmail.params.HTML, html);
		s.addParam(SendEmail.params.TEXT, text);
		//some optionial params:
		s.addParam(SendEmail.params.REF, "TellMeWhy");
		s.addParam(SendEmail.params.ID, "4242");
		
		try {
			//send
			ApiResult r = s.send();
			//print the result or check success or do whatever u like:
			System.out.println(r);
			System.out.println("test");
		} catch (MissingParamException e) {
			e.printStackTrace();
		}			
		
			
	
	}	
}
